Subject: Re: [PATCH] update sysfs kset initialisation in PPC64 DLPAR IO driver

From: Andy Whitcroft <[email-masked]>
Date: Fri, 11 May 2007 11:40:32 +0100

Michael Ellerman wrote:
> On Fri, 2007-05-11 at 00:16 -0700, Greg KH wrote:
>> On Thu, May 10, 2007 at 04:54:41PM +0100, Andy Whitcroft wrote:
>>> Greg KH wrote:
>>>> On Thu, May 10, 2007 at 03:00:50PM +0100, Andy Whitcroft wrote:
>>>>> Move the rpadlpar device from "struct subsystem" to "struct kset"
>>>>> following the changes in sysfs.
>>>>>
>>>>> Signed-off-by: Andy Whitcroft <[email-masked]>
>>>>> ---
>>>>>
>>>>> 	Ok, this patch seems to sort out the compile problem
>>>>> 	here and indeed boots and runs kernbench.  Perhaps
>>>>> 	you could confirm this is sufficient.
>>>> As per the discussion on the pci hotplug list, no, this doesn't seem to
>>>> fix the problem.  The developers there are looking into it.  If you can
>>>> test out patches for this, I'm sure the people there would appreciate
>>>> the help.
>>> Sure anything they have for testing, send them to me ...
>> They have the same patch that you made (I made it), yet they reported
>> that it didn't work properly for them.
>>
>> Can you test your patch out on "real" hardware?
> 
> I tested it on real hardware, but it can't hurt for Andy to try it too I
> guess.

To be fair I am not sure I have a clue how to test it.  Got a recipe?
My patch was based on how other drivers seemed to be converted which is
a concern for those drivers.

What sort of failure do you see?

-apw